#extension GL_OES_EGL_image_external : require
precision highp float;

varying vec2 outTexCoord;

uniform sampler2D overlayTexture;
uniform samplerExternalOES texture;

void main() {
    vec4 color = texture2D(texture, outTexCoord);
    vec2 coord = vec2(outTexCoord.x, 1.0 - outTexCoord.y);
    vec4 overlayColor = texture2D(overlayTexture, coord);
//    if(overlayColor.a<0.5){
//        overlayColor.a = 0.;
//    }else{
//        overlayColor.a=1.;
//    }
    gl_FragColor = overlayColor + (1.0 - overlayColor.a) * color;
//    gl_FragColor = overlayColor;
//    gl_FragColor = mix(overlayColor, color, (1.0 - overlayColor.a));
}