#extension GL_OES_EGL_image_external : require
precision highp float;

varying vec2 outTexCoord;

uniform sampler2D texture;
uniform sampler2D overlayTexture;

void main() {
   vec4 color = texture2D(texture, outTexCoord);
  //vec4 color = vec4(0.0,1.0,0.0,1.0);
    vec2 coord = vec2(outTexCoord.x,outTexCoord.y);
   vec4 overlayColor = texture2D(overlayTexture, coord);
//     vec4 overlayColor = vec4(0.0,1.0,0.0,1.0);
//    gl_FragColor = overlayColor.a * overlayColor + (1.0 - overlayColor.a) * color;
//   gl_FragColor = color.a * color + (1.0 - color.a) * overlayColor;
   gl_FragColor =  overlayColor + (1.0 - overlayColor.a) * color;
//  gl_FragColor = mix(overlayColor, color, (1.0 - overlayColor.a));
}